## hdf5 1.10.10%2Brepack

=== debian/changelog ===
hdf5 (1.10.10+repack-3) unstable; urgency=medium

  * Update symbols files
  * Fix symbols files for loong64 (closes: #1054106; thanks to Dandan Zhang)

 -- Gilles Filippini <pini@debian.org>  Tue, 17 Oct 2023 22:56:33 +0200

hdf5 (1.10.10+repack-2) unstable; urgency=medium

  * Re-ctivate patch java-test-TestH5Arw_array-overflow

 -- Gilles Filippini <pini@debian.org>  Sat, 19 Aug 2023 13:31:04 +0200

hdf5 (1.10.10+repack-1) unstable; urgency=medium

  * New upstream release
  * Tools git2h5 and h52gif are deprecated
  * Refresh patches
  * Update symbols files
  * Drop transitionnal packages:
    - libhdf5-103 (closes: #1038330)
    - libhdf5-cpp-103 (closes: #1038257)
    - libhdf5-openmpi-103 (closes: #1038316)
    - libhdf5-mpich-103 (closes: #1038238)

 -- Gilles Filippini <pini@debian.org>  Sun, 11 Jun 2023 19:25:39 +0200

hdf5 (1.10.8+repack1-2) unstable; urgency=medium

  * Do not install gif2h5 anymore, which is subject of multiple CVE
    (closes: #1031726):
    - CVE-2022-26061
    - CVE-2022-25972
    - CVE-2022-25942

 -- Gilles Filippini <pini@debian.org>  Thu, 06 Apr 2023 18:30:50 +0200
