=== debian/control ===
Source: hdf5
Maintainer: Gilles Filippini <pini@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10~),
               mpi-default-dev,
               libopenmpi-dev,
               libmpich-dev,
               zlib1g-dev,
               libjpeg-dev,
               gfortran,
               sharutils,
               chrpath,
               libaec-dev,
               default-jdk-headless (>= 2:1.7),
               libcurl4-openssl-dev,
               libssl-dev,
               javahelper [!hppa !hurd-i386],
               junit4 [!hppa !hurd-i386],
               libslf4j-java [!hppa !hurd-i386]
Build-Depends-Indep: doxygen,
                     php-cli
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/hdf5
Vcs-Git: https://salsa.debian.org/debian/hdf5.git
Homepage: http://hdfgroup.org/HDF5/

Package: libhdf5-103-1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libhdf5-103 (<< 1.10.5)
Replaces: libhdf5-103 (<< 1.10.5)
Description: HDF5 C runtime files - serial version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the C runtime files for serial platforms.

Package: libhdf5-fortran-102
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: HDF5 Fortran runtime files - serial version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the Fortran runtime files for serial platforms.

Package: libhdf5-hl-100
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libhdf5-100, libhdf5-101, libhdf5-102, libhdf5-103 (<< 1.10.5)
replaces: libhdf5-100, libhdf5-101, libhdf5-102, libhdf5-103 (<< 1.10.5)
Description: HDF5 High Level runtime files - serial version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the high level C API runtime files for serial platforms.

Package: libhdf5-hl-fortran-100
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libhdf5-100, libhdf5-101, libhdf5-102, libhdf5-103 (<< 1.10.5)
replaces: libhdf5-100, libhdf5-101, libhdf5-102, libhdf5-103 (<< 1.10.5)
Description: HDF5 High Level Fortran runtime files - serial version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the high level Fortran API runtime files for serial
 platforms.

Package: libhdf5-cpp-103-1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libhdf5-cpp-103 (<< 1.10.5)
Replaces: libhdf5-cpp-103 (<< 1.10.5)
Description: HDF5 - C++ runtime files - serial version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the C++ runtime files for serial platforms.

Package: libhdf5-hl-cpp-100
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libhdf5-cpp-100, libhdf5-cpp-101, libhdf5-cpp-102, libhdf5-cpp-103 (<< 1.10.5)
Replaces: libhdf5-cpp-100, libhdf5-cpp-101, libhdf5-cpp-102, libhdf5-cpp-103 (<< 1.10.5)
Description: HDF5 High Level C++ runtime files - serial version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the high level C++ API runtime files for serial
 platforms.

Package: libhdf5-dev
Architecture: any
Section: libdevel
Depends: libhdf5-103-1 (= ${binary:Version}),
         libhdf5-fortran-102 (= ${binary:Version}),
         libhdf5-hl-100 (= ${binary:Version}),
         libhdf5-hl-fortran-100 (= ${binary:Version}),
         libhdf5-cpp-103-1 (= ${binary:Version}),
         libhdf5-hl-cpp-100 (= ${binary:Version}),
         zlib1g-dev,
         libjpeg-dev,
         libaec-dev,
         libcurl4-openssl-dev | libcurl-dev,
         libssl-dev,
         ${misc:Depends},
         hdf5-helpers
Suggests: libhdf5-doc
Breaks: libhdf5-serial-dev (<< 1.8.12-9~)
Provides: libhdf5-serial-dev
Replaces: libhdf5-serial-dev (<< 1.8.12-9~)
Description: HDF5 - development files - serial version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains development files for serial platforms.

Package: libhdf5-openmpi-103-1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libhdf5-openmpi-103 (<< 1.10.5)
Replaces: libhdf5-openmpi-103 (<< 1.10.5)
Description: HDF5 - C runtime files - OpenMPI version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the C runtime files for use with OpenMPI.

Package: libhdf5-openmpi-fortran-102
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: HDF5 Fortran runtime files - OpenMPI version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the Fortran runtime files for openmpi platforms.

Package: libhdf5-openmpi-hl-100
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libhdf5-openmpi-100, libhdf5-openmpi-101, libhdf5-openmpi-102, libhdf5-openmpi-103 (<< 1.10.5)
replaces: libhdf5-openmpi-100, libhdf5-openmpi-101, libhdf5-openmpi-102, libhdf5-openmpi-103 (<< 1.10.5)
Description: HDF5 High Level runtime files - OpenMPI version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the high level C API runtime files for openmpi platforms.

Package: libhdf5-openmpi-hl-fortran-100
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libhdf5-openmpi-100, libhdf5-openmpi-101, libhdf5-openmpi-102, libhdf5-openmpi-103 (<< 1.10.5)
replaces: libhdf5-openmpi-100, libhdf5-openmpi-101, libhdf5-openmpi-102, libhdf5-openmpi-103 (<< 1.10.5)
Description: HDF5 High Level Fortran runtime files - OpenMPI version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the high level Fortran API runtime files for openmpi
 platforms.

Package: libhdf5-openmpi-cpp-103-1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libhdf5-openmpi-cpp-103 (<< 1.10.5)
Replaces: libhdf5-openmpi-cpp-103 (<< 1.10.5)
Description: HDF5 - C++ runtime files - OpenMPI version - unsupported
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the C++ runtime files for openmpi platforms.
 .
 Warning: C++ with parallel HDF5 is not supported upstream. Use this
 feature at your own risks.

Package: libhdf5-openmpi-hl-cpp-100
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libhdf5-cpp-100, libhdf5-cpp-101, libhdf5-cpp-102, libhdf5-cpp-103 (<< 1.10.5)
Replaces: libhdf5-cpp-100, libhdf5-cpp-101, libhdf5-cpp-102, libhdf5-cpp-103 (<< 1.10.5)
Description: HDF5 High Level C++ runtime files - OpenMPI version - unsupported
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains the high level C++ API runtime files for openmpi
 platforms.
 .
 Warning: C++ with parallel HDF5 is not supported upstream. Use this
 feature at your own risks.

Package: libhdf5-openmpi-dev
Architecture: any
Section: libdevel
Depends: libhdf5-openmpi-103-1 (= ${binary:Version}),
         libhdf5-openmpi-fortran-102 (= ${binary:Version}),
         libhdf5-openmpi-hl-100 (= ${binary:Version}),
         libhdf5-openmpi-hl-fortran-100 (= ${binary:Version}),
         libhdf5-openmpi-cpp-103-1 (= ${binary:Version}),
         libhdf5-openmpi-hl-cpp-100 (= ${binary:Version}),
         zlib1g-dev,
         libaec-dev,
         libjpeg-dev,
         libcurl4-openssl-dev | libcurl-dev,
         libssl-dev,
         libopenmpi-dev,
         ${misc:Depends}
Suggests: libhdf5-doc
Breaks: libhdf5-mpi-dev (= 1.10.6+repack-1~exp4)
Description: HDF5 - development files - OpenMPI version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
 the deficiencies of HDF4.x. It has a more powerful and flexible data
 model, supports files larger than 2 GB, and supports parallel I/O.
 .
 This package contains development files for use with OpenMPI.

Package: libhdf5-mpich-103-1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libhdf5-mpich-103 (<< 1.10.5)
Replaces: libhdf5-mpich-103 (<< 1.10.5)
Description: HDF5 - C runtime files - MPICH2 version
 Hierarchical Data Format 5 (HDF5) is a file format and library for
 storing scientific data.  HDF5 was designed and implemented to address
